/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/
/* FONT IMPORT */
@font-face{font-family: 'Heading'; src: url('font/PPeiko/PPEiko-Regular.otf');}
@font-face{font-family: 'Btn'; src: url('font/PPeiko/PPEiko-Black.otf');}

@font-face{font-family: 'Paragraph'; src: url('font/PPneue/PPNeueMontreal-Light.otf');}

/* ASSETS */
.custom-btn{border-radius:4px; transition:all 0.4s ease-in-out!important; padding:14px 40px!important;}
.custom-btn:hover{transform:translateX(10px);}

.custom-link-btn{transition:all 0.4s ease-in-out!important; padding:14px 40px!important; text-decoration:underline!important;}
.custom-link-btn:hover{transform:translateX(10px);}

.line-over-title{}

/* MENU */
#menu-item-864 .menu-btn-container{color: #ffffff !important; background: linear-gradient(to right , rgb(199, 159, 40) , rgb(154, 134, 75) 100%); background-image: linear-gradient(to right, rgb(199, 159, 40), rgb(154, 134, 75) 100%); border-image: linear-gradient(to right , rgb(199, 159, 40) , rgb(154, 134, 75) 100%);}
#menu-item-864 .btn{padding:12px 24px !important}

.menu-item a{padding-top:15px!important; padding-bottom:15px!important;}

.veg-img{}
/* SERVIZI SECTION */
.RowServizi{display:flex; flex-direction:row; align-items:center; justify-content:center; margin-bottom:40px;}
.ColumnServizi{display:flex; flex-direction:row; align-items:start; justify-content:space-between;  margin-right:10px;margin-left:10px;}
.ImgServizi{min-width:250px; width:250px; height:250px; background-color:#FFDFD1; border-radius:25px; background-size:cover; background-position:center center; margin-right:15px;}
.TestoServizi{display:flex; flex-direction:column; align-items:start; justify-content:center; text-align:left; max-width:480px; height:250px;}
.TestoServizi h3{margin-top:0px; font-size:1.4em!important;}
.TestoServizi p{font-size:16px; line-height:1.4!important;}
.TestoServizi a{font-size:18px!important; color:#6E9F8D; text-decoration:underline; font-family:Heading; margin-top:10px;}


@media (max-width: 1366px){
	.TestoServizi h3{font-size:26px!important;}
	.TestoServizi p{font-size:16px; }
}
@media (max-width: 1100px){
	.RowServizi{flex-direction:column; margin-bottom:0px;}
	.ColumnServizi{width:100%; margin-bottom:20px; justify-content: space-around;}
	.TestoServizi{max-width:600px;}
	.ImgServizi{min-width:250px; width:250px; height:250px; margin-right:8px;}
}
@media (max-width: 600px){
	.ImgServizi{width:100%;}
	.TestoServizi{height:auto; padding:15px;}
	.TestoServizi h3{font-size:22px!important;}
	.TestoServizi p{font-size:16px; margin-top:8px!important;}
	
	.ColumnServizi{flex-direction:column;}
}

/*GOOGLE REVIEW*/
.ti-widget.ti-goog .ti-reviews-container-wrapper{overflow:visible!important; margin:0!important;}
.ti-widget.ti-goog .ti-controls{display:none!important;}
.ti-widget.ti-goog .ti-widget-container .ti-name{font-family:Heading, Heading!important; font-size:16px!important;}
.ti-widget.ti-goog .ti-widget-container * {font-family:Paragraph, Heading!important;}

/* FORM */
.wpcf7-inline-wrapper{margin-top:10px;}
.wpcf7-inline-wrapper p{margin-top:0px!important;}
.form-landing label{font-size:16px;}
.form-landing input, .form-landing select, .form-landing textarea{border:1px solid rgba(73, 73, 73, 0.25)!important; margin-top:0px; font-size:16px;}
.form-landing input::placeholder, .form-landing select::placeholder, .form-landing textarea::placeholder{font-size:16px;}

.box-privacy p{display:flex; flex-direction:row; }
.box-privacy input[type="checkbox"]{width:20px!important; height:20px!important; margin-top:-10px;}
.text-privacy{font-size:14px; line-height:1;}
.submit-box input{float:right!important;}

/* NEWSLETTER */
.newsletter-submit{background-color:#333333!important; color:#fff!important; border:1px solid #333333!important;}

@media (max-width:569px){
	.wpcf7-inline-field{width:100%!important; display:block!important; padding:0px!important;}
	p + .wpcf7-inline-wrapper, .wpcf7-inline-wrapper + .wpcf7-inline-wrapper, .wpcf7-inline-field{margin-top:5px!important;}
}


/* FOOTER */
.custom-icon p{margin-top:2px;}
.custom-icon .icon-box-icon{padding-top:8px!important;}

/* RESPONSIVE */

/*only desktop */
@media (min-width: 960px){
	
}

@media (max-width: 1400px){
	
}

/* tablet */
@media (max-width: 960px){
	.calendly-mobile{overflow: hidden!important;}
	/* sfondo */
	.immagine-sfondo .background-inner{background-size: 800px!important;}
	
	/* font */
	h2.fontsize-118930{font-size:42px;}
	.p-default p{font-size:18px;}
}

/* mobile */
@media (max-width: 569px){
	.reduced-row .row{padding-left:15px!important; padding-right:15px!important;}

}





/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: auto;
    scrollbar-color: #6E9F8D #ffffff;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 10px;
  }

  *::-webkit-scrollbar-track {
    background: #ffffff;
  }

  *::-webkit-scrollbar-thumb {
    background-color: #6E9F8D;
    border-radius: 0px;
    border: 0px solid #ffffff;
  }



.customBtn,
.form-landing .wpcf7-submit{
	padding:15px 50px!important;
}
.customBtn:hover,
.form-landing .wpcf7-submit:hover{
	color:#fff!important;
}
.form-landing .wpcf7-submit::after,
.customBtn:after {
	border:2px solid black;
	width:100%;
	height:100%;
	display:inline-block;
	position:relative;
	content:"";
}
.customBtn::after,
.form-landing .wpcf7-submit::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%; /* leggermente più stretto del pulsante */
  height: 140%; /* leggermente più alto */
  pointer-events: none; /* così non blocca i clic sul pulsante */
  box-sizing: border-box;
  border-radius:100px;
  transition:all 0.3s ease-in-out;
}
.customBtn:hover::after,
.form-landing .wpcf7-submit:hover::after {
  width: 100%; /* leggermente più stretto del pulsante */
  height: 100%; 
}
.customBtn.dark::after,
.form-landing .wpcf7-submit.dark::after {
	  border: 1px solid #fff!important;
}
.customBtn.light::after {
  border: 1px solid #015252!important;

}

.customBtn.btn {
  position: relative!important; /* necessario per posizionare il ::after rispetto al pulsante */
  z-index: 1!important;
}

.uncode-nav-container {
	border-color:#6e9f8d!important;
}



/* menu effect */
#menu-main-menu a {height:auto!important;}
.drop-menu a:hover{color:#6e9f8d!important;}
.submenu-light .menu-horizontal:not(.menu-sub-enhanced) .menu-smart ul a:hover,
.submenu-light li.active a{
	color:#6e9f8d!important;
}
/*
#menu-main-menu  li.menu-item a {
    position: relative;
    display: inline-block;
    text-decoration: none;
    transition: transform 0.3s ease; /* per l'alzamento del testo */
}
.drop-menu li.menu-item a::after {
	height:0px!important;
}
/* Linea iniziale (larga zero, al centro) 
#menu-main-menu:not(.drop-menu) li.menu-item a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -3px;
    width: 0;
    height: 1px;
    background: #6e9f8d;
    transform: translateX(-50%);
    transition: width 0.3s ease;
}

/* HOVER e ACTIVE = sottolineatura + alzamento 
#menu-main-menu .style-dark-original li.menu-item:hover a,
#menu-main-menu .style-dark-original li.active a {
    transform: translateY(-5px);
	color:#fff!important;
}
#menu-main-menu li.menu-item:hover a::after,
#menu-main-menu li.menu-item.active a::after {
    width: 50%;
}
*/
.newsletterRow {border-radius:16px!important; overflow:hidden!important;}


/* banner */ 
.cky-notice-btn-wrapper .cky-btn,
.cky-btn-preferences,
.cky-btn-revisit-wrapper{background-color:#689686!important; background:#689686!important; border:1px solid #689686!important;}
